    import TagRepository from 'pvbid-sdk/src/repositories/TagRepository.js'

public class | source

# TagRepository

#### Extends:

BaseRepository → CacheRepository → TagRepository

## Constructor Summary

Public Constructor
public | constructor() |

## Inherited Summary

From class BaseRepository
public | endpoint: * |
public | http: * |
public | httpConfig: * |
public | map: {"single": *, "multi": *} |
public | metaData: * |
public | params: {} |
public | async create(entity: BidEntity): Promise<BidEntity> Persists a new entity |
public | async delete(id: number): Promise<Object> Deletes a single entity by its id |
public | async findById(id: number): Promise<BidEntity> Retrieves a single domain object by its id. |
public | async get(params: Object): Promise<BidEntity[]> Retrieves an array of results for the endpoint |
public | async save(entity: BidEntity): Promise<BidEntity> Persists an update to the entity |

From class CacheRepository
public | params: {} |
public | async create(entity: BidEntity): Promise<BidEntity> Creates a single entity and invalidates the cached data |
public | async delete(id: number): Promise<object> Deletes resource and removes resource from cache. |
public | async findById(id: int, forceReload: boolean): * Retrieves a single domain object by its id. |
public | async get(params: object, forceReload: boolean): * Retrieves an array of results for the endpoint |
public | async save(entity: BidEntity): Promise<BidEntity> Saves resource and stores response to cache by resource id. |

## Public Constructors

### public constructor() source

Creates an instance of BaseRepository.

#### Override:

CacheRepository#constructor